%global srcname libtmux
%global sum Scripting library for tmux
%global desc libtmux is the tool behind tmuxp, a tmux workspace manager in \
python.  It builds upon tmux's target and formats to create an object \
mapping to traverse, inspect and interact with live tmux sessions.
%global licensefile LICENSE
%global readme README.rst

Name:           python-%{srcname}
Version:        0.6.0
Release:        6%{?dist}
Summary:        %{sum}

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/tony/%{srcname}/archive/v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel

%description
%{desc}

%package -n python3-%{srcname}
Summary:        %{sum}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:       tmux

%description -n python3-%{srcname}
%{desc}

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build
%install
%py3_install

%files -n python3-%{srcname}
%license %{licensefile}
%doc %{readme}
%{python3_sitelib}/*

%changelog
* Wed Oct 17 2018 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.0-6
- Subpackage python2-libtmux has been removed
  See https://fedoraproject.org/wiki/Changes/Mass_Python_2_Package_Removal

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.6.0-4
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Feb 12 2017 David Roble <robled@electronsweatshop.com> 0.6.0-1
- Initial release
